Bug 802382 - libssh2 causes curl to crash when downloading large files (>2G) using sftp
libssh2 causes curl to crash when downloading large files (>2G) using sftp
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libssh2 (Show other bugs)
15
All Linux
high Severity high
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
Blocks: 801428
  Show dependency treegraph
 
Reported: 2012-03-12 08:39 EDT by Kamil Dudka
Modified: 2012-04-02 19:27 EDT (History)
4 users (show)

See Also:
Fixed In Version: libssh2-1.2.7-3.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-25 23:56:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Dudka 2012-03-12 08:39:13 EDT
+++ This bug was initially created as a clone of Bug #801428 +++

Created attachment 568642 [details]
straight backport from libssh2-1.2.8

Description of problem:
libssh2 causes curl to crash when downloading large files (>2G) using sftp

Version-Release number of selected component (if applicable):
libssh2-1.2.2-7.el6_1.1

How reproducible:
Always

Steps to Reproduce:
1) Create a large file (>2G) on the server
dd if=/dev/zero of=file.txt bs=1024 count=2500000

2) Fetch the file over sftp using curl:
curl -vu '$user:$pass' --connect-timeout 5 sftp://remote.server/root/file.txt > /dev/null
  
Actual results:

Crash

Expected results:

No Crash.

Additional info:

I have isolated the patch that fixes this from libssh2-1.2.8. Attached.
Comment 1 Fedora Update System 2012-03-12 09:02:01 EDT
libssh2-1.2.7-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libssh2-1.2.7-3.fc15
Comment 2 Fedora Update System 2012-03-12 09:02:11 EDT
libssh2-1.2.7-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libssh2-1.2.7-3.fc16
Comment 3 Fedora Update System 2012-03-14 22:19:54 EDT
Package libssh2-1.2.7-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libssh2-1.2.7-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3699/libssh2-1.2.7-3.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-03-16 15:33:00 EDT
libssh2-1.2.7-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libssh2-1.2.7-4.fc16
Comment 5 Fedora Update System 2012-03-25 23:56:33 EDT
libssh2-1.2.7-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-03-26 13:58:32 EDT
libssh2-1.2.7-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-04-02 19:27:36 EDT
libssh2-1.2.7-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.